<div class="table-responsive" style="max-height: 72vh;">
  <table class="table table-hover table-bordered">
    <thead style="vertical-align: middle; position: sticky; top: 0;">
      <tr>
        <th>Quien</th>
        <th>Indicador</th>
        <th></th>
        <th>Meta</th>
        <ng-container *ngIf="fechasRestantesTabla.length == 0">
          <th class="fechas"
            style="border: solid; border-color: #2f72de; background-color:#2f72de; position: sticky; top: 0;">{{semana}}
          </th>
          <ng-container *ngFor="let datos of fechasFormateadasReverso;let index = index">
            <th class="fechas" *ngIf="index>0">{{datos}}</th>
          </ng-container>
        </ng-container>
        <ng-container *ngIf="fechasRestantesTabla.length > 0">
          <ng-container *ngFor="let restantes of fechasRestantesTabla; let i = index">
            <th class="fechas"
              style="border: solid; border-color: #2f72de; background-color:#2f72de; position: sticky; top: 0;"
              *ngIf="i == 0">{{restantes}}
            </th>
            <th style="position: sticky; top: 0;" class="fechas" *ngIf="i > 0">{{restantes}}</th>
          </ng-container>
          <ng-container *ngFor="let datos of fechasFormateadasReverso;">
            <th class="fechas">{{datos}}</th>
          </ng-container>
        </ng-container>
      </tr>
    </thead>
    <tbody style="vertical-align: middle;">
      <ng-container *ngFor="let measurable of measurables">
        <tr *ngIf="measurable.statusMeasurable != 'Archivado'">
          <td>
            <img [src]="'http://localhost:8080/imgs/usuarios/' + measurable.imagenUsuario"
              class="pfp d-none d-xl-block d-xxl-block"
              title="{{measurable.nombreUsuario}} {{measurable.apellidoUsuario}}" style="margin-left: 30px;">
          </td>
          <td class="cursor" title="{{measurable.nombreMeasurable}}" (click)="abrirEditarIndicadorModal(measurable)">
            {{measurable.nombreMeasurable}}</td>
          <td *ngIf="measurable.tipoMedida == 'Igual a'">=</td>
          <td *ngIf="measurable.tipoMedida == 'Mayor que'">></td>
          <td *ngIf="measurable.tipoMedida == 'Mayor o igual que'">≥</td>
          <td *ngIf="measurable.tipoMedida == 'Menor que'">
            < </td>
          <td *ngIf="measurable.tipoMedida == 'Menor o igual que'">≤</td>
          <td *ngIf="measurable.unidadesMeasurable == 'Sin unidades'">{{measurable.goalMetric}}</td>
          <td *ngIf="measurable.unidadesMeasurable == 'Dolares'">{{measurable.goalMetric}}USD</td>
          <td *ngIf="measurable.unidadesMeasurable == 'Porcentaje'">{{measurable.goalMetric}}%</td>
          <td *ngIf="measurable.unidadesMeasurable == 'Libras'">£{{measurable.goalMetric}}</td>
          <td *ngIf="measurable.unidadesMeasurable == 'Pesos'">${{measurable.goalMetric}}</td>
          <td *ngIf="measurable.unidadesMeasurable == 'Yenes'">¥{{measurable.goalMetric}}</td>
          <!-- <td style="border-left: solid; border-right: solid; border-color: #2f72de; position: relative; padding: 0;"
            *ngIf="fechasRestantesTabla.length == 0;">Si
            <input type="number" name="" #inputCumplimiento value="{{resultados[measurable.idMeasurable][0]}}"
              style="border: none; width: 100%; padding: 0; background: none; outline: none; box-shadow: none; position: absolute; top: 0; left: 0; height: 100%; text-align: center;"
              (keyup.enter)="guardarSeguimientoRestante(measurable.idMeasurable, inputCumplimiento.value, 0)">
          </td> -->
          <ng-container *ngIf="fechasRestantesTabla.length>0">
            <ng-container *ngFor="let restantes of fechasRestantesTabla; let i = index">
              <td *ngIf="i == 0"
              style="border-left: solid; border-right: solid; border-color: #2f72de; position: relative; padding: 0;">
                <input type="number" name="" #inputCumplimiento
                  style="border: none; width: 100%; background: none; outline: none; box-shadow: none; height: 100%; text-align: center;"
                  (keyup.enter)="guardarSeguimientoRestante(measurable.idMeasurable, inputCumplimiento.value, 0)">
              </td>
              <td *ngIf="i > 0">
                <input type="number" name="" #inputCumplimiento
                  style="border: none; width: 100%; background: none; outline: none; box-shadow: none; height: 100%; text-align: center;"
                  (keyup.enter)="guardarSeguimientoRestante(measurable.idMeasurable, inputCumplimiento.value, i)">
              </td>
            </ng-container>
          </ng-container>
          <ng-container *ngFor="let dato of resultados[measurable.idMeasurable]; let resultados = index">
            <ng-container *ngIf="dato != ' '">
              <ng-container *ngIf="measurable.tipoMedida == 'Igual a'">
                <td
                  [style.background-color]="dato >= measurable.goalMetric ? 'rgb(158, 235, 144)' : 'rgba(255, 0, 0, 0.5)'">
                  <input #actualizar type="number" value="{{dato}}"
                    style="border: none; width: 100%; padding: 0; background: none; outline: none; box-shadow: none; text-align: center; vertical-align: middle;"
                    (keyup.enter)="actualizarSeguimiento(measurable.idMeasurable, actualizar.value, resultados)">
              </ng-container>
              <ng-container *ngIf="measurable.tipoMedida == 'Mayor que'">
                <td
                  [style.background-color]="dato > measurable.goalMetric ? 'rgb(158, 235, 144)' : 'rgba(255, 0, 0, 0.5)'">
                  <input #actualizar type="number" value="{{dato}}"
                    style="border: none; width: 50px; padding: 0; background: none; outline: none; box-shadow: none; text-align: center; vertical-align: middle;"
                    (keyup.enter)="actualizarSeguimiento(measurable.idMeasurable, actualizar.value, resultados)">
                </td>
              </ng-container>
              <ng-container *ngIf="measurable.tipoMedida == 'Mayor o igual que'">
                <td
                  [style.background-color]="dato >= measurable.goalMetric ? 'rgb(158, 235, 144)' : 'rgba(255, 0, 0, 0.5)'">
                  <input #actualizar type="number" value="{{dato}}"
                    style="border: none; width: 50px; padding: 0; background: none; outline: none; box-shadow: none; text-align: center; vertical-align: middle;"
                    (keyup.enter)="actualizarSeguimiento(measurable.idMeasurable, actualizar.value, resultados)">
                </td>
              </ng-container>
              <ng-container *ngIf="measurable.tipoMedida == 'Menor que'">
                <td
                  [style.background-color]="dato < measurable.goalMetric ? 'rgb(158, 235, 144)' : 'rgba(255, 0, 0, 0.5)'">
                  <input #actualizar type="number" value="{{dato}}"
                    style="border: none; width: 50px; padding: 0; background: none; outline: none; box-shadow: none; text-align: center; vertical-align: middle;"
                    (keyup.enter)="actualizarSeguimiento(measurable.idMeasurable, actualizar.value, resultados)">
                </td>
              </ng-container>
              <ng-container *ngIf="measurable.tipoMedida == 'Menor o igual que'">
                <td
                  [style.background-color]="dato <= measurable.goalMetric ? 'rgb(158, 235, 144)' : 'rgba(255, 0, 0, 0.5)'">
                  <input #actualizar type="number" value="{{dato}}"
                    style="border: none; width: 50px; padding: 0; background: none; outline: none; box-shadow: none; text-align: center; vertical-align: middle;"
                    (keyup.enter)="actualizarSeguimiento(measurable.idMeasurable, actualizar.value, resultados)">
                </td>
              </ng-container>
            </ng-container>
            <ng-container *ngIf="dato == ' '">
              <td>
                <input type="number" name="" #inputCumplimiento
                  style="border: none; width: 100%; padding: 0; background: none; outline: none; box-shadow: none; height: 100%; text-align: center;"
                  (keyup.enter)="guardarSeguimiento(measurable.idMeasurable, inputCumplimiento.value, resultados)">
              </td>
            </ng-container>
          </ng-container>
        </tr>
      </ng-container>
    </tbody>
  </table>
</div>

<ng-template #editarIndicadorModal class="modal fade">
  <div class="modal-content">
    <form id="nuevoIndicador">
      <div class="modal-header">
        <h4 class="modal-title">Editar indicador</h4>
        <button type="button" class="close" (click)="cerrarModal()">X</button>
      </div>
      <div class="modal-body">
        <div class="form-group">
          <label>Nombre Indicador</label>
          <input type="text" class="form-control" id="nombreIndicador" name="nombreIndicador" required
            [(ngModel)]="indicador.nombreMeasurable">
        </div>
        <div class="form-group">
          <label>Criterio</label>
          <select class="form-select" name="tipoMeasurable" aria-placeholder="Selecciona..."
            [(ngModel)]="indicador.tipoMedida" required>
            <option value="Igual a">Igual a</option>
            <option value="Mayor o igual que">Mayor o igual que</option>
            <option value="Mayor que">Mayor que</option>
            <option value="Entre">Entre</option>
            <option value="Menor o igual que">Menor o igual que</option>
            <option value="Menor que">Menor que</option>
          </select>
        </div>
        <div class="form-group">
          <label>Meta</label>
          <input type="text" class="form-control" name="goalMetric" required="required"
            [(ngModel)]="indicador.goalMetric">
        </div>
        <div class="form-group">
          <label>Responsable</label>
          <select style="color: black;" class="form-select" name="idUsuario" [(ngModel)]="indicador.idUsuario">
            <option *ngFor="let integrante of participantes" [value]="integrante.idUsuario">
              {{ integrante.nombre }} {{integrante.apellido}}
            </option>
          </select>
        </div>
        <div class="form-group">
          <button class="btn btn-danger mt-3" (click)="archivarIndicador()">Archivar</button>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
        <button type="button" class="btn btn-success" (click)="editarIndicador()">Editar</button>
      </div>
    </form>
  </div>
</ng-template>